[#uuid_generators]
== <boost/uuid/uuid_generators.hpp>

:idprefix: uuid_generators_

=== Synopsis

This convenience header includes all the UUID generators.


[source,c++]
----
#include <boost/uuid/nil_generator.hpp>
#include <boost/uuid/string_generator.hpp>
#include <boost/uuid/name_generator.hpp>
#include <boost/uuid/random_generator.hpp>
----
